Imports DigitalData.Modules.Filesystem

<Serializable>
Public Class DocumentResultOld
    Inherits BaseResult

    Public Document As DocumentObject
    Public HasContents As Boolean = False
    Public Contents As Byte()

    Public Sub New(Document As DocumentObject)
        MyBase.New()
        Me.Document = Document
    End Sub

    Public Sub New(Document As DocumentObject, Contents As Byte())
        MyBase.New()
        Me.Document = Document
        Me.Contents = Contents
        Me.HasContents = True
    End Sub

    Public Sub New(ErrorMessage As String)
        MyBase.New(ErrorMessage)
    End Sub
End Class
